# Class CigarElement
One entry of a CIGAR string.

Defined in | <seqan/bam_io.h>
Signature | `template <[typename TOperation[, typename TCount]]> class CigarElement;`

## Template Parameters

`TOperation` | Type to use for storing operations, defaults to `char`.
`TCount` | Type to use for storing counts, defaults to `unsigned`.

## Member Function Overview

- `CigarElement::CigarElement();, CigarElement::CigarElement(operation, count);`
  Constructor

## Member Variable Overview

- `TCount CigarElement::count`
  The number of operations.
- `TOperation CigarElement::operation`
  The described operation.

## Member Functions Detail

### `CigarElement::CigarElement(); CigarElement::CigarElement(operation, count);`

Constructor

#### Parameters

`operation` | The operation to use, of type `TOperation`.
`count` | The operation count, of type `TCount`.

#### Remarks

The default constructor initialized both operation and count with `0`.

#### Data Races

Thread safety unknown!

## Member Variables Detail

### `TCount CigarElement::count`

The number of operations.

### `TOperation CigarElement::operation`

The described operation.

#### Dox Sources

    /*!
     * @class CigarElement
     *
     * @headerfile <seqan/bam_io.h>
     *
     * @brief One entry of a CIGAR string.
     *
     * @signature template <[typename TOperation[, typename TCount]]> class
     *            CigarElement;
     *
     * @tparam TOperation Type to use for storing operations, defaults to
     *                    <tt>char</tt>.
     * @tparam TCount Type to use for storing counts, defaults to <tt>unsigned</tt>.
     *
     * @fn CigarElement::CigarElement
     *
     * @brief Constructor
     *
     * @signature CigarElement::CigarElement();
     * @signature CigarElement::CigarElement(operation, count);
     *
     * @param[in] operation The operation to use, of type <tt>TOperation</tt>.
     * @param[in] count The operation count, of type <tt>TCount</tt>.
     *
     * @section Remarks
     *
     * The default constructor initialized both @link CigarElement::operation
     * @endlink and @link CigarElement::count @endlink with <tt>0</tt>.
     *
     * @var TCount CigarElement::count;
     *
     * @brief The number of operations.
     *
     * @var TOperation CigarElement::operation;
     *
     * @brief The described operation.
     */